REST APIOrganizationOrganization Management

GET

List asset balances by coin for a given enterprise

Path Params

  • enterpriseId string required
    The ID of the child enterprise within the organization

Query Params

  • organizationId string required
    The ID of the organization that owns the enterprise
  • currency string enum
    Fiat currency to use for computed fiat values on each balance
    ARSAUDCADCLPCNYCOPDKKEURGBPKRWINRJPYNOKSEKTRYUSDUYUZAR
  • enterprise string required
    The ID of the enterprise to list asset balances for
  • coin string
    Filter to a single coin type
  • showEmptyBalances boolean or string
    Include coins with a zero balance in the response

    ANY OF

    boolean
  • expandTradingBalance boolean or string
    Include trading account balances in the response

    ANY OF

    boolean

Responses

200

Response Body

object

  • balances array of objects required
    balances object
    • balanceString string required
    • spendableBalanceString string
    • coin string required
    • lockedBalanceString string
    • stakedBalanceString string
    • confirmedBalanceString string
    • reservedBalanceString string
    • undeclaredBalanceString string
    • pendingApprovalUnspendableBalance string
    • sendQueueUnspendableBalance string
    • pendingTxRequestUnspendableBalance string
    • tokenPlatformLock string
    • pendingWithdrawalBalanceString string
    • stakingBalanceString string
    • rewardBalanceString string
    • delegatedBalanceString string
    • token string
    • offchain object
      offchain object
      • outboundBalance string
      • outboundPendingBalance string
      • outboundUnsettledBalance string
      • outboundLockedBalance string
      • outboundReservedBalance string
      • outboundSpendableBalance string
      • inboundBalance string
      • inboundPendingBalance string
      • inboundUnsettledBalance string
    • fiatValue number
    • displayValue string
    • humanReadableValue string
    • spendableFiatValue number
    • spendableDisplayValue string
    • lockedFiatValue number
    • lockedDisplayValue string
    • stakedFiatValue number
    • stakedDisplayValue string
    • confirmedFiatValue number
    • confirmedDisplayValue string
    • pendingWithdrawalFiatValue number
    • pendingWithdrawalDisplayValue string
    • marketPrice number
    • portfolioPercent number
    • undeclaredBalance string
    • undeclaredFiatValue number
    • undeclaredDisplayValue string
    • reservedBalance string
    • reservedFiatValue number
    • reservedDisplayValue string
    • stakingFiatValue number
    • stakingDisplayValue string
    • rewardFiatValue number
    • rewardDisplayValue string
    • hasWallet boolean
    • delegatedFiatValue number
    • delegatedDisplayValue string
    • wdSupported boolean
  • total number required